Index: src/lxc_driver.c
===================================================================
RCS file: /data/cvs/libvirt/src/lxc_driver.c,v
retrieving revision 1.25
diff -u -r1.25 lxc_driver.c
--- src/lxc_driver.c	27 Aug 2008 11:42:52 -0000	1.25
+++ src/lxc_driver.c	28 Aug 2008 04:54:05 -0000
@@ -1113,65 +1113,65 @@
 
 /* Function Tables */
 static virDriver lxcDriver = {
-    VIR_DRV_LXC, /* the number virDrvNo */
-    "LXC", /* the name of the driver */
-    LIBVIR_VERSION_NUMBER, /* the version of the backend */
-    lxcProbe, /* probe */
-    lxcOpen, /* open */
-    lxcClose, /* close */
-    NULL, /* supports_feature */
-    NULL, /* type */
-    NULL, /* version */
-    NULL, /* getHostname */
-    NULL, /* getURI */
-    NULL, /* getMaxVcpus */
-    NULL, /* nodeGetInfo */
-    NULL, /* getCapabilities */
-    lxcListDomains, /* listDomains */
-    lxcNumDomains, /* numOfDomains */
-    lxcDomainCreateAndStart, /* domainCreateLinux */
-    lxcDomainLookupByID, /* domainLookupByID */
-    lxcDomainLookupByUUID, /* domainLookupByUUID */
-    lxcDomainLookupByName, /* domainLookupByName */
-    NULL, /* domainSuspend */
-    NULL, /* domainResume */
-    lxcDomainShutdown, /* domainShutdown */
-    NULL, /* domainReboot */
-    lxcDomainDestroy, /* domainDestroy */
-    lxcGetOSType, /* domainGetOSType */
-    NULL, /* domainGetMaxMemory */
-    NULL, /* domainSetMaxMemory */
-    NULL, /* domainSetMemory */
-    lxcDomainGetInfo, /* domainGetInfo */
-    NULL, /* domainSave */
-    NULL, /* domainRestore */
-    NULL, /* domainCoreDump */
-    NULL, /* domainSetVcpus */
-    NULL, /* domainPinVcpu */
-    NULL, /* domainGetVcpus */
-    NULL, /* domainGetMaxVcpus */
-    lxcDomainDumpXML, /* domainDumpXML */
-    lxcListDefinedDomains, /* listDefinedDomains */
-    lxcNumDefinedDomains, /* numOfDefinedDomains */
-    lxcDomainStart, /* domainCreate */
-    lxcDomainDefine, /* domainDefineXML */
-    lxcDomainUndefine, /* domainUndefine */
-    NULL, /* domainAttachDevice */
-    NULL, /* domainDetachDevice */
-    NULL, /* domainGetAutostart */
-    NULL, /* domainSetAutostart */
-    NULL, /* domainGetSchedulerType */
-    NULL, /* domainGetSchedulerParameters */
-    NULL, /* domainSetSchedulerParameters */
-    NULL, /* domainMigratePrepare */
-    NULL, /* domainMigratePerform */
-    NULL, /* domainMigrateFinish */
-    NULL, /* domainBlockStats */
-    NULL, /* domainInterfaceStats */
-    NULL, /* domainBlockPeek */
-    NULL, /* domainMemoryPeek */
-    NULL, /* nodeGetCellsFreeMemory */
-    NULL, /* getFreeMemory */
+    .no = VIR_DRV_LXC, /* the number virDrvNo */
+    .name = "LXC", /* the name of the driver */
+    .ver = LIBVIR_VERSION_NUMBER, /* the version of the backend */
+    .probe = lxcProbe,
+    .open = lxcOpen,
+    .close = lxcClose,
+    .supports_feature = NULL,
+    .type = NULL,
+    .version = NULL,
+    .getHostname = NULL,
+    .getURI = NULL,
+    .getMaxVcpus = NULL,
+    .nodeGetInfo = NULL,
+    .getCapabilities = NULL,
+    .listDomains = lxcListDomains,
+    .numOfDomains = lxcNumDomains,
+    .domainCreateLinux = lxcDomainCreateAndStart,
+    .domainLookupByID = lxcDomainLookupByID,
+    .domainLookupByUUID = lxcDomainLookupByUUID,
+    .domainLookupByName = lxcDomainLookupByName,
+    .domainSuspend = NULL,
+    .domainResume = NULL,
+    .domainShutdown = lxcDomainShutdown,
+    .domainReboot = NULL,
+    .domainDestroy = lxcDomainDestroy,
+    .domainGetOSType = lxcGetOSType,
+    .domainGetMaxMemory = NULL,
+    .domainSetMaxMemory = NULL,
+    .domainSetMemory = NULL,
+    .domainGetInfo = lxcDomainGetInfo,
+    .domainSave = NULL,
+    .domainRestore = NULL,
+    .domainCoreDump = NULL,
+    .domainSetVcpus = NULL,
+    .domainPinVcpu = NULL,
+    .domainGetVcpus = NULL,
+    .domainGetMaxVcpus = NULL,
+    .domainDumpXML = lxcDomainDumpXML,
+    .listDefinedDomains = lxcListDefinedDomains,
+    .numOfDefinedDomains = lxcNumDefinedDomains,
+    .domainCreate = lxcDomainStart,
+    .domainDefineXML = lxcDomainDefine,
+    .domainUndefine = lxcDomainUndefine,
+    .domainAttachDevice = NULL,
+    .domainDetachDevice = NULL,
+    .domainGetAutostart = NULL,
+    .domainSetAutostart = NULL,
+    .domainGetSchedulerType = NULL,
+    .domainGetSchedulerParameters = NULL,
+    .domainSetSchedulerParameters = NULL,
+    .domainMigratePrepare = NULL,
+    .domainMigratePerform = NULL,
+    .domainMigrateFinish = NULL,
+    .domainBlockStats = NULL,
+    .domainInterfaceStats = NULL,
+    .domainBlockPeek = NULL,
+    .domainMemoryPeek = NULL,
+    .nodeGetCellsFreeMemory = NULL,
+    .getFreeMemory = NULL,
 };
 
 
Index: src/openvz_driver.c
===================================================================
RCS file: /data/cvs/libvirt/src/openvz_driver.c,v
retrieving revision 1.44
diff -u -r1.44 openvz_driver.c
--- src/openvz_driver.c	27 Aug 2008 11:19:45 -0000	1.44
+++ src/openvz_driver.c	28 Aug 2008 04:54:05 -0000
@@ -916,65 +916,65 @@
 }
 
 static virDriver openvzDriver = {
-    VIR_DRV_OPENVZ,
-    "OPENVZ",
-    LIBVIR_VERSION_NUMBER,
-    openvzProbe, /* probe */
-    openvzOpen, /* open */
-    openvzClose, /* close */
-    NULL, /* supports_feature */
-    openvzGetType, /* type */
-    NULL, /* version */
-    NULL, /* hostname */
-    NULL, /* uri */
-    openvzGetMaxVCPUs, /* getMaxVcpus */
-    openvzGetNodeInfo, /* nodeGetInfo */
-    NULL, /* getCapabilities */
-    openvzListDomains, /* listDomains */
-    openvzNumDomains, /* numOfDomains */
-    openvzDomainCreateLinux, /* domainCreateLinux */
-    openvzDomainLookupByID, /* domainLookupByID */
-    openvzDomainLookupByUUID, /* domainLookupByUUID */
-    openvzDomainLookupByName, /* domainLookupByName */
-    NULL, /* domainSuspend */
-    NULL, /* domainResume */
-    openvzDomainShutdown, /* domainShutdown */
-    openvzDomainReboot, /* domainReboot */
-    openvzDomainShutdown, /* domainDestroy */
-    openvzGetOSType, /* domainGetOSType */
-    NULL, /* domainGetMaxMemory */
-    NULL, /* domainSetMaxMemory */
-    NULL, /* domainSetMemory */
-    openvzDomainGetInfo, /* domainGetInfo */
-    NULL, /* domainSave */
-    NULL, /* domainRestore */
-    NULL, /* domainCoreDump */
-    openvzDomainSetVcpus, /* domainSetVcpus */
-    NULL, /* domainPinVcpu */
-    NULL, /* domainGetVcpus */
-    openvzDomainGetMaxVcpus, /* domainGetMaxVcpus */
-    NULL, /* domainDumpXML */
-    openvzListDefinedDomains, /* listDomains */
-    openvzNumDefinedDomains, /* numOfDomains */
-    openvzDomainCreate, /* domainCreate */
-    openvzDomainDefineXML, /* domainDefineXML */
-    openvzDomainUndefine, /* domainUndefine */
-    NULL, /* domainAttachDevice */
-    NULL, /* domainDetachDevice */
-    openvzDomainGetAutostart, /* domainGetAutostart */
-    openvzDomainSetAutostart, /* domainSetAutostart */
-    NULL, /* domainGetSchedulerType */
-    NULL, /* domainGetSchedulerParameters */
-    NULL, /* domainSetSchedulerParameters */
-    NULL, /* domainMigratePrepare */
-    NULL, /* domainMigratePerform */
-    NULL, /* domainMigrateFinish */
-    NULL, /* domainBlockStats */
-    NULL, /* domainInterfaceStats */
-    NULL, /* domainBlockPeek */
-    NULL, /* domainMemoryPeek */
-    NULL, /* nodeGetCellsFreeMemory */
-    NULL, /* nodeGetFreeMemory */
+    .no = VIR_DRV_OPENVZ,
+    .name = "OPENVZ",
+    .ver = LIBVIR_VERSION_NUMBER,
+    .probe = openvzProbe,
+    .open = openvzOpen,
+    .close = openvzClose,
+    .supports_feature = NULL,
+    .type = openvzGetType,
+    .version = NULL,
+    .getHostname = NULL,
+    .getURI = NULL,
+    .getMaxVcpus = openvzGetMaxVCPUs,
+    .nodeGetInfo = openvzGetNodeInfo,
+    .getCapabilities = NULL,
+    .listDomains = openvzListDomains,
+    .numOfDomains = openvzNumDomains,
+    .domainCreateLinux = openvzDomainCreateLinux,
+    .domainLookupByID = openvzDomainLookupByID,
+    .domainLookupByUUID = openvzDomainLookupByUUID,
+    .domainLookupByName = openvzDomainLookupByName,
+    .domainSuspend = NULL,
+    .domainResume = NULL,
+    .domainShutdown = openvzDomainShutdown,
+    .domainReboot = openvzDomainReboot,
+    .domainDestroy = openvzDomainShutdown,
+    .domainGetOSType = openvzGetOSType,
+    .domainGetMaxMemory = NULL,
+    .domainSetMaxMemory = NULL,
+    .domainSetMemory = NULL,
+    .domainGetInfo = openvzDomainGetInfo,
+    .domainSave = NULL,
+    .domainRestore = NULL,
+    .domainCoreDump = NULL,
+    .domainSetVcpus = openvzDomainSetVcpus,
+    .domainPinVcpu = NULL,
+    .domainGetVcpus = NULL,
+    .domainGetMaxVcpus = openvzDomainGetMaxVcpus,
+    .domainDumpXML = NULL,
+    .listDefinedDomains = openvzListDefinedDomains,
+    .numOfDefinedDomains = openvzNumDefinedDomains,
+    .domainCreate = openvzDomainCreate,
+    .domainDefineXML = openvzDomainDefineXML,
+    .domainUndefine = openvzDomainUndefine,
+    .domainAttachDevice = NULL,
+    .domainDetachDevice = NULL,
+    .domainGetAutostart = openvzDomainGetAutostart,
+    .domainSetAutostart = openvzDomainSetAutostart,
+    .domainGetSchedulerType = NULL,
+    .domainGetSchedulerParameters = NULL,
+    .domainSetSchedulerParameters = NULL,
+    .domainMigratePrepare = NULL,
+    .domainMigratePerform = NULL,
+    .domainMigrateFinish = NULL,
+    .domainBlockStats = NULL,
+    .domainInterfaceStats = NULL,
+    .domainBlockPeek = NULL,
+    .domainMemoryPeek = NULL,
+    .nodeGetCellsFreeMemory = NULL,
+    .getFreeMemory = NULL,
 };
 
 int openvzRegister(void) {
Index: src/qemu_driver.c
===================================================================
RCS file: /data/cvs/libvirt/src/qemu_driver.c,v
retrieving revision 1.112
diff -u -r1.112 qemu_driver.c
--- src/qemu_driver.c	27 Aug 2008 11:42:52 -0000	1.112
+++ src/qemu_driver.c	28 Aug 2008 04:54:06 -0000
@@ -3865,74 +3865,74 @@
 }
 
 static virDriver qemuDriver = {
-    VIR_DRV_QEMU,
-    "QEMU",
-    LIBVIR_VERSION_NUMBER,
-    qemudProbe, /* probe */
-    qemudOpen, /* open */
-    qemudClose, /* close */
-    NULL, /* supports_feature */
-    qemudGetType, /* type */
-    qemudGetVersion, /* version */
-    qemudGetHostname, /* hostname */
-    NULL, /* URI  */
-    qemudGetMaxVCPUs, /* getMaxVcpus */
-    qemudGetNodeInfo, /* nodeGetInfo */
-    qemudGetCapabilities, /* getCapabilities */
-    qemudListDomains, /* listDomains */
-    qemudNumDomains, /* numOfDomains */
-    qemudDomainCreate, /* domainCreateLinux */
-    qemudDomainLookupByID, /* domainLookupByID */
-    qemudDomainLookupByUUID, /* domainLookupByUUID */
-    qemudDomainLookupByName, /* domainLookupByName */
-    qemudDomainSuspend, /* domainSuspend */
-    qemudDomainResume, /* domainResume */
-    qemudDomainShutdown, /* domainShutdown */
-    NULL, /* domainReboot */
-    qemudDomainDestroy, /* domainDestroy */
-    qemudDomainGetOSType, /* domainGetOSType */
-    qemudDomainGetMaxMemory, /* domainGetMaxMemory */
-    qemudDomainSetMaxMemory, /* domainSetMaxMemory */
-    qemudDomainSetMemory, /* domainSetMemory */
-    qemudDomainGetInfo, /* domainGetInfo */
-    qemudDomainSave, /* domainSave */
-    qemudDomainRestore, /* domainRestore */
-    NULL, /* domainCoreDump */
-    qemudDomainSetVcpus, /* domainSetVcpus */
+    .no = VIR_DRV_QEMU,
+    .name = "QEMU",
+    .ver = LIBVIR_VERSION_NUMBER,
+    .probe = qemudProbe,
+    .open = qemudOpen,
+    .close = qemudClose,
+    .supports_feature = NULL,
+    .type = qemudGetType,
+    .version = qemudGetVersion,
+    .getHostname = qemudGetHostname,
+    .getURI = NULL,
+    .getMaxVcpus = qemudGetMaxVCPUs,
+    .nodeGetInfo = qemudGetNodeInfo,
+    .getCapabilities = qemudGetCapabilities,
+    .listDomains = qemudListDomains,
+    .numOfDomains = qemudNumDomains,
+    .domainCreateLinux = qemudDomainCreate,
+    .domainLookupByID = qemudDomainLookupByID,
+    .domainLookupByUUID = qemudDomainLookupByUUID,
+    .domainLookupByName = qemudDomainLookupByName,
+    .domainSuspend = qemudDomainSuspend,
+    .domainResume = qemudDomainResume,
+    .domainShutdown = qemudDomainShutdown,
+    .domainReboot = NULL,
+    .domainDestroy = qemudDomainDestroy,
+    .domainGetOSType = qemudDomainGetOSType,
+    .domainGetMaxMemory = qemudDomainGetMaxMemory,
+    .domainSetMaxMemory = qemudDomainSetMaxMemory,
+    .domainSetMemory = qemudDomainSetMemory,
+    .domainGetInfo = qemudDomainGetInfo,
+    .domainSave = qemudDomainSave,
+    .domainRestore = qemudDomainRestore,
+    .domainCoreDump = NULL,
+    .domainSetVcpus = qemudDomainSetVcpus,
 #if HAVE_SCHED_GETAFFINITY
-    qemudDomainPinVcpu, /* domainPinVcpu */
-    qemudDomainGetVcpus, /* domainGetVcpus */
+    .domainPinVcpu = qemudDomainPinVcpu,
+    .domainGetVcpus = qemudDomainGetVcpus,
 #else
-    NULL, /* domainPinVcpu */
-    NULL, /* domainGetVcpus */
+    .domainPinVcpu = NULL,
+    .domainGetVcpus = NULL,
 #endif
-    qemudDomainGetMaxVcpus, /* domainGetMaxVcpus */
-    qemudDomainDumpXML, /* domainDumpXML */
-    qemudListDefinedDomains, /* listDomains */
-    qemudNumDefinedDomains, /* numOfDomains */
-    qemudDomainStart, /* domainCreate */
-    qemudDomainDefine, /* domainDefineXML */
-    qemudDomainUndefine, /* domainUndefine */
-    qemudDomainAttachDevice, /* domainAttachDevice */
-    NULL, /* domainDetachDevice */
-    qemudDomainGetAutostart, /* domainGetAutostart */
-    qemudDomainSetAutostart, /* domainSetAutostart */
-    NULL, /* domainGetSchedulerType */
-    NULL, /* domainGetSchedulerParameters */
-    NULL, /* domainSetSchedulerParameters */
-    NULL, /* domainMigratePrepare */
-    NULL, /* domainMigratePerform */
-    NULL, /* domainMigrateFinish */
-    qemudDomainBlockStats, /* domainBlockStats */
-    qemudDomainInterfaceStats, /* domainInterfaceStats */
-    qemudDomainBlockPeek, /* domainBlockPeek */
-    qemudDomainMemoryPeek, /* domainMemoryPeek */
+    .domainGetMaxVcpus = qemudDomainGetMaxVcpus,
+    .domainDumpXML = qemudDomainDumpXML,
+    .listDomains = qemudListDefinedDomains,
+    .numOfDomains = qemudNumDefinedDomains,
+    .domainCreate = qemudDomainStart,
+    .domainDefineXML = qemudDomainDefine,
+    .domainUndefine = qemudDomainUndefine,
+    .domainAttachDevice = qemudDomainAttachDevice,
+    .domainDetachDevice = NULL,
+    .domainGetAutostart = qemudDomainGetAutostart,
+    .domainSetAutostart = qemudDomainSetAutostart,
+    .domainGetSchedulerType = NULL,
+    .domainGetSchedulerParameters = NULL,
+    .domainSetSchedulerParameters = NULL,
+    .domainMigratePrepare = NULL,
+    .domainMigratePerform = NULL,
+    .domainMigrateFinish = NULL,
+    .domainBlockStats = qemudDomainBlockStats,
+    .domainInterfaceStats = qemudDomainInterfaceStats,
+    .domainBlockPeek = qemudDomainBlockPeek,
+    .domainMemoryPeek = qemudDomainMemoryPeek,
 #if HAVE_NUMACTL
-    qemudNodeGetCellsFreeMemory, /* nodeGetCellsFreeMemory */
-    qemudNodeGetFreeMemory,  /* getFreeMemory */
+    .nodeGetCellsFreeMemory = qemudNodeGetCellsFreeMemory,
+    .getFreeMemory = qemudNodeGetFreeMemory,
 #else
-    NULL, /* nodeGetCellsFreeMemory */
-    NULL, /* getFreeMemory */
+    .nodeGetCellsFreeMemory = NULL,
+    .getFreeMemory = NULL,
 #endif
 };
 
Index: src/test.c
===================================================================
RCS file: /data/cvs/libvirt/src/test.c,v
retrieving revision 1.84
diff -u -r1.84 test.c
--- src/test.c	20 Aug 2008 20:48:36 -0000	1.84
+++ src/test.c	28 Aug 2008 04:54:06 -0000
@@ -1536,65 +1536,65 @@
 
 
 static virDriver testDriver = {
-    VIR_DRV_TEST,
-    "Test",
-    LIBVIR_VERSION_NUMBER,
-    NULL, /* probe */
-    testOpen, /* open */
-    testClose, /* close */
-    NULL, /* supports_feature */
-    NULL, /* type */
-    testGetVersion, /* version */
-    testGetHostname, /* hostname */
-    testGetURI, /* URI */
-    testGetMaxVCPUs, /* getMaxVcpus */
-    testNodeGetInfo, /* nodeGetInfo */
-    testGetCapabilities, /* getCapabilities */
-    testListDomains, /* listDomains */
-    testNumOfDomains, /* numOfDomains */
-    testDomainCreateLinux, /* domainCreateLinux */
-    testLookupDomainByID, /* domainLookupByID */
-    testLookupDomainByUUID, /* domainLookupByUUID */
-    testLookupDomainByName, /* domainLookupByName */
-    testPauseDomain, /* domainSuspend */
-    testResumeDomain, /* domainResume */
-    testShutdownDomain, /* domainShutdown */
-    testRebootDomain, /* domainReboot */
-    testDestroyDomain, /* domainDestroy */
-    testGetOSType, /* domainGetOSType */
-    testGetMaxMemory, /* domainGetMaxMemory */
-    testSetMaxMemory, /* domainSetMaxMemory */
-    testSetMemory, /* domainSetMemory */
-    testGetDomainInfo, /* domainGetInfo */
-    testDomainSave, /* domainSave */
-    testDomainRestore, /* domainRestore */
-    testDomainCoreDump, /* domainCoreDump */
-    testSetVcpus, /* domainSetVcpus */
-    NULL, /* domainPinVcpu */
-    NULL, /* domainGetVcpus */
-    NULL, /* domainGetMaxVcpus */
-    testDomainDumpXML, /* domainDumpXML */
-    testListDefinedDomains, /* listDefinedDomains */
-    testNumOfDefinedDomains, /* numOfDefinedDomains */
-    testDomainCreate, /* domainCreate */
-    testDomainDefineXML, /* domainDefineXML */
-    testDomainUndefine, /* domainUndefine */
-    NULL, /* domainAttachDevice */
-    NULL, /* domainDetachDevice */
-    testDomainGetAutostart, /* domainGetAutostart */
-    testDomainSetAutostart, /* domainSetAutostart */
-    testDomainGetSchedulerType, /* domainGetSchedulerType */
-    testDomainGetSchedulerParams, /* domainGetSchedulerParameters */
-    testDomainSetSchedulerParams, /* domainSetSchedulerParameters */
-    NULL, /* domainMigratePrepare */
-    NULL, /* domainMigratePerform */
-    NULL, /* domainMigrateFinish */
-    NULL, /* domainBlockStats */
-    NULL, /* domainInterfaceStats */
-    NULL, /* domainBlockPeek */
-    NULL, /* domainMemoryPeek */
-    testNodeGetCellsFreeMemory, /* nodeGetCellsFreeMemory */
-    NULL, /* getFreeMemory */
+    .no = VIR_DRV_TEST,
+    .name = "Test",
+    .ver = LIBVIR_VERSION_NUMBER,
+    .probe = NULL,
+    .open = testOpen,
+    .close = testClose,
+    .supports_feature = NULL,
+    .type = NULL,
+    .version = testGetVersion,
+    .getHostname = testGetHostname,
+    .getURI = testGetURI,
+    .getMaxVcpus = testGetMaxVCPUs,
+    .nodeGetInfo = testNodeGetInfo,
+    .getCapabilities = testGetCapabilities,
+    .listDomains = testListDomains,
+    .numOfDomains = testNumOfDomains,
+    .domainCreateLinux = testDomainCreateLinux,
+    .domainLookupByID = testLookupDomainByID,
+    .domainLookupByUUID = testLookupDomainByUUID,
+    .domainLookupByName = testLookupDomainByName,
+    .domainSuspend = testPauseDomain,
+    .domainResume = testResumeDomain,
+    .domainShutdown = testShutdownDomain,
+    .domainReboot = testRebootDomain,
+    .domainDestroy = testDestroyDomain,
+    .domainGetOSType = testGetOSType,
+    .domainGetMaxMemory = testGetMaxMemory,
+    .domainSetMaxMemory = testSetMaxMemory,
+    .domainSetMemory = testSetMemory,
+    .domainGetInfo = testGetDomainInfo,
+    .domainSave = testDomainSave,
+    .domainRestore = testDomainRestore,
+    .domainCoreDump = testDomainCoreDump,
+    .domainSetVcpus = testSetVcpus,
+    .domainPinVcpu = NULL,
+    .domainGetVcpus = NULL,
+    .domainGetMaxVcpus = NULL,
+    .domainDumpXML = testDomainDumpXML,
+    .listDefinedDomains = testListDefinedDomains,
+    .numOfDefinedDomains = testNumOfDefinedDomains,
+    .domainCreate = testDomainCreate,
+    .domainDefineXML = testDomainDefineXML,
+    .domainUndefine = testDomainUndefine,
+    .domainAttachDevice = NULL,
+    .domainDetachDevice = NULL,
+    .domainGetAutostart = testDomainGetAutostart,
+    .domainSetAutostart = testDomainSetAutostart,
+    .domainGetSchedulerType = testDomainGetSchedulerType,
+    .domainGetSchedulerParameters = testDomainGetSchedulerParams,
+    .domainSetSchedulerParameters = testDomainSetSchedulerParams,
+    .domainMigratePrepare = NULL,
+    .domainMigratePerform = NULL,
+    .domainMigrateFinish = NULL,
+    .domainBlockStats = NULL,
+    .domainInterfaceStats = NULL,
+    .domainBlockPeek = NULL,
+    .domainMemoryPeek = NULL,
+    .nodeGetCellsFreeMemory = testNodeGetCellsFreeMemory,
+    .getFreeMemory = NULL,
 };
 
 static virNetworkDriver testNetworkDriver = {
